Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » PHP Development Tools (PDT) » Eclipse PHP Development Tools (PDT) 3.1.1 released!
Eclipse PHP Development Tools (PDT) 3.1.1 released! [message #926057] Fri, 28 September 2012 05:06 Go to next message
Jacek Pospychala is currently offline Jacek Pospychala
Messages: 159
Registered: July 2009
Senior Member
I'm happy to announce that minor update of Eclipse PHP Development Tools has been released.

It contains nearly 100 bug fixes for issues reported over last three months, since the release of Eclipse Juno. Beside bug fixes, there are several new features added to make PDT Content-Assist smarter, to better support PHP 5.4 traits and other new language additions.

PDT 3.1.1 can be installed from Eclipse repository at:
http://download.eclipse.org/tools/pdt/updates/release

It's also a part of Eclipse Juno SR1 repository.

Please read release notes to learn more about new features:
http://eclipse.org/pdt/release-notes/3.1.1/
Re: Eclipse PHP Development Tools (PDT) 3.1.1 released! [message #926670 is a reply to message #926057] Fri, 28 September 2012 17:59 Go to previous messageGo to next message
Jacob Weber is currently offline Jacob Weber
Messages: 39
Registered: July 2009
Member
Thanks...appreciate the notification. FYI, the PDT home page is returning an error:

http://www.eclipse.org/pdt

Execution from Invalid Path (foundation_ro). This attempt has been logged. Please contact webmaster@eclipse.org
Re: Eclipse PHP Development Tools (PDT) 3.1.1 released! [message #927387 is a reply to message #926057] Sat, 29 September 2012 11:57 Go to previous messageGo to next message
Gerard Roche is currently offline Gerard Roche
Messages: 5
Registered: July 2009
Junior Member
Change the format of release tagging in src?

3.0.0
3.1.0
3.1.1

etc.
Re: Eclipse PHP Development Tools (PDT) 3.1.1 released! [message #932608 is a reply to message #926057] Thu, 04 October 2012 04:57 Go to previous messageGo to next message
dominik is currently offline dominik
Messages: 122
Registered: July 2009
Senior Member
On 2012-09-28 11:06, Jacek Pospychala wrote:
> I'm happy to announce that minor update of Eclipse PHP Development Tools has
> been released.

Great News Jacek! :)
Thanks for all Your work! :)

best regards :)
Re: Eclipse PHP Development Tools (PDT) 3.1.1 released! [message #933994 is a reply to message #932608] Fri, 05 October 2012 10:41 Go to previous messageGo to next message
Amr Darwish is currently offline Amr Darwish
Messages: 1
Registered: October 2012
Junior Member
It is working except for "PDT Test Feature 3.1.1.201209101312" which I failed to download & install. Please help. Next is error report:

Cannot complete the install because one or more required items could not be found.
Software being installed: PDT Test Feature 3.1.1.201209101312 (org.eclipse.php.test.feature.group 3.1.1.201209101312)
Missing requirement: PDT Core Unit Tests 3.1.1.201209101312 (org.eclipse.php.core.tests 3.1.1.201209101312) requires 'bundle org.eclipse.dltk.core.tests 0.0.0' but it could not be found
Cannot satisfy dependency:
From: PDT Test Feature 3.1.1.201209101312 (org.eclipse.php.test.feature.group 3.1.1.201209101312)
To: org.eclipse.php.ui.tests [3.1.1.201209101312]
Cannot satisfy dependency:
From: PDT Ui Unit Tests 3.1.1.201209101312 (org.eclipse.php.ui.tests 3.1.1.201209101312)
To: bundle org.eclipse.php.core.tests 0.0.0
Re: Eclipse PHP Development Tools (PDT) 3.1.1 released! [message #936876 is a reply to message #933994] Mon, 08 October 2012 08:37 Go to previous messageGo to next message
Jacek Pospychala is currently offline Jacek Pospychala
Messages: 159
Registered: July 2009
Senior Member
Amr,
you don't need PDT Test Feature. It contains PDT Unit tests, which are used by some of our adopters.
Re: Eclipse PHP Development Tools (PDT) 3.1.1 released! [message #938009 is a reply to message #926057] Tue, 09 October 2012 09:17 Go to previous messageGo to next message
Jay Dhaliwal is currently offline Jay Dhaliwal
Messages: 5
Registered: October 2012
Junior Member

Jacek and rest of the PDT Team. Thank you for this IDE. I appreciate your efforts everyday from 9-5.



http://icandrive.ca/ontario/car-insurance/ Cheap auto insurance Ontario
Re: Eclipse PHP Development Tools (PDT) 3.1.1 released! [message #977437 is a reply to message #926057] Fri, 09 November 2012 04:32 Go to previous messageGo to next message
Pauline Taylor is currently offline Pauline Taylor
Messages: 5
Registered: November 2012
Junior Member
This is really great news for all the developers who use eclipse php development tool for developing PHP websites.
Re: Eclipse PHP Development Tools (PDT) 3.1.1 released! [message #991224 is a reply to message #977437] Mon, 17 December 2012 15:56 Go to previous messageGo to next message
Jay Dhaliwal is currently offline Jay Dhaliwal
Messages: 5
Registered: October 2012
Junior Member

http://download.eclipse.org/tools/pdt/updates/release needs to be updated http://archive.eclipse.org/tools/pdt/updates/release/ link is broken

http://icandrive.ca/ontario/car-insurance/ Cheap auto insurance Ontario
Re: Eclipse PHP Development Tools (PDT) 3.1.1 released! [message #991511 is a reply to message #991224] Wed, 19 December 2012 10:48 Go to previous message
Mario Rohkrämer is currently offline Mario Rohkrämer
Messages: 3
Registered: February 2012
Junior Member
Unfortunately I cannot update Eclipse-PDT because an older version is already installed ... ehm, what is the purpose of updating, again?!

Your original request has been modified.
  "PDT Mylyn Feature" will be ignored because it is already installed.
  "PHP Development Tools (PDT) Runtime Feature" is already installed, so an update will be performed instead.
Cannot complete the install because of a conflicting dependency.
  Software being installed: PHP Development Tools (PDT) Runtime Feature 3.1.1.201209101312 (org.eclipse.php.feature.group 3.1.1.201209101312)
  Software currently installed: Eclipse for PHP Developers 3.0.2.v2011102768 (org.zend.php.product 3.0.2.v2011102768)
  Only one of the following can be installed at once: 
    PDT Plug-in 3.0.0.201110271513 (org.eclipse.php 3.0.0.201110271513)
    PDT Plug-in 3.0.1.v201201110400 (org.eclipse.php 3.0.1.v201201110400)
  Cannot satisfy dependency:
    From: PHP Development Tools (PDT) Runtime Feature 3.0.0.201110271513 (org.eclipse.php.feature.group 3.0.0.201110271513)
    To: org.eclipse.php [3.0.0.201110271513]
  Cannot satisfy dependency:
    From: PHP Development Tools (PDT) Runtime Feature 3.1.1.201209101312 (org.eclipse.php.feature.group 3.1.1.201209101312)
    To: org.eclipse.php [3.0.1.v201201110400]
  Cannot satisfy dependency:
    From: Eclipse for PHP Developers 3.0.2.v2011102768 (org.zend.php.product 3.0.2.v2011102768)
    To: org.eclipse.php.feature.group [3.0.0.201110271513]


Please help me solving this conflict. Is it possibly Zend vs. vanilla Eclipse?

[Updated on: Wed, 19 December 2012 10:49]

Report message to a moderator

Previous Topic:eclipse pdt editor not showing error
Next Topic:PDT RSE org.eclipse.php.core.LANGUAGE
Goto Forum:
  


Current Time: Sat Aug 23 03:29:33 EDT 2014

Powered by FUDForum. Page generated in 0.03041 seconds